Skip to Content
Distributed NewSQL Database(TiDB)CreateTiDBClusterService

CreateTiDBClusterService - CreateTiDBClusterService

Overview

create TiDB cluster service

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is CreateTiDBClusterService.Yes
PublicKeystringThe user’s public key can be obtained from Console Yes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
RegionstringRegion. See Region and Zone ListYes
ZonestringZone. See Region and Zone ListYes
ProjectIdstringProject ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the GetProjectList APINo
Namestringcluster nameYes
Passwordstringcluster passwordYes
VPCIdstringVPC IDYes
SubnetIdstringsubnet idYes
PubUlbIdstringpub ulb idYes
DTTypestringdt typeYes
NodeConfig.N.ServerTypestringserver typeYes
NodeConfig.N.NodeCountintnode countYes
NodeConfig.N.ConfigIdstringnode config idYes
NodeConfig.N.DiskSizeintnode disk sizeYes
ChargeTypestringBilling mode. Enumerated values are:

> Year, pay annually;

> Month, pay monthly;

> Dynamic, prepaid hourly;

> Postpay, postpaid hourly (supports no charge when shut down, currently only supported in some availability zones, please contact your account manager)

> Spot billing is for preemptive instances (in beta)

Default is monthly payment.
Yes
OrderDetail.N.ProductNamestringorder ProductNameYes
OrderDetail.N.Multipleintorder MultipleYes
CouponstringTiDB coupon ID. Please query through the DescribeCoupon interface, or log in to the user center to view.Yes
QuantityfloatPurchase duration. Default: value 1. This parameter is not required when purchasing by the hour (Dynamic/Postpay). When paying monthly, pass this parameter as 0, which means purchasing until the end of the month.Yes
IpstringIPNo
PortstringPortNo
PromotionIdstringDiscount id, passed in by the front end, currently used for SaaS enterprise activitiesNo
ActivityIdint[Internal API Parameter] Activity ID. It needs to be submitted during short-term promotional activities. When passing to the network and other products associated with the host, only this parameter needs to be passed, do not pass BillActivityRuleId.No
RuleIdint[Internal API Parameter] Rule ID. This needs to be submitted during short-term promotional activities. This parameter can only be passed to billing when buying resources for the main machine, and cannot be passed to other products.No
DbVersionstringcluster versionNo
TemplateIdstringtemplate idNo
AlertStrategyIds.Nintalert strategy idsNo
SecGroupInfo.N.SecGroupIdstringSecurity Group ID. Up to 5 security groups can be bound at the same time.No
SecGroupInfo.N.PriorityintSecurity Group Priority. Value range [1, 5]No
Labels.N.KeystringKey of User Resource LabelNo
Labels.N.ValuestringValue of User Resource LabelNo

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
DataServiceDatarecode detailYes

Data Model

ServiceData

Field NameTypeDescription InformationRequired
IdstringService IDYes

Example

Request Example

https://api.ucloud-global.com/?Action=CreateTiDBClusterService &Region=cn-zj &Zone=cn-zj-01 &ProjectId=blOBPWJc &Name=iMTHMnMQ &Password=FtKCWbcW &VPCId=ORjeezXY &SubnetId=itMUGQNY &PubUlbId=WeQAXmPc &DTType=fiNkIlva &NewCollationEnabled=9 &NewCollationsEnabledONFirstBootstrap=9 &NodeConfig.ServerType.n=kAodJBnS &NodeConfig.NodeCount.n=9 &NodeConfig.ConfigId.n=cmIjTfGr &NodeConfig.DiskSize.n=6 &Ip=irbCUrkH &Port=xzYEHHGj &ChargeType=IGGkitjS &OrderDetail.ProductName.n=lUGoWbBg &OrderDetail.Multiple.n=3 &Quantity=6.63376 &PromotionId=ynqYAdHH &ActivityId=tIMIQYTu &RuleId=OVQBLzVz &ChargeType=DOsijKmf &OrderDetail.ProductName.n=ChNDPbAB &OrderDetail.Multiple.n=9 &Coupon=XkKELZDP &Quantity=1.12136 &PromotionId=AZFhhXnf &ActivityId=zqUkeIgK &RuleId=zhnmXuPw &ChargeType=IbZfSGct &OrderDetail.N.ProductName=llKGbvXV &OrderDetail.N.Multiple=7 &Coupon=RkCCVkpl &Quantity=5.41324 &PromotionId=uQqsTXPj &ActivityId=wXEHTSmz &RuleId=GkvHkzoZ &DbVersion=sBFALbQE &TemplateId=vhPzGPgG &AlertStrategyIds.N=7 &SecGroupInfo.N.SecGroupId=ttKqHHLC &SecGroupInfo.N.Priority=3 &Labels.N.Key=kEVsquGB &Labels.N.Value=DvJHgcby

Response Example

{ "Action": "CreateTiDBClusterServiceResponse", "Data": {}, "RetCode": 0 }